import { BaseEntity } from 'src/core/modules/domain/entities//base.entity';

export enum OPT_ACTION_TYPE {
  CREATE_DISCOUNT = 'CREATE_DISCOUNT',
  CANCEL_TRANSACTION = 'CANCEL_TRANSACTION',
}

export enum OTP_SOURCE {
  POS = 'POS',
  WEB = 'WEB',
}

export interface OtpVerificationEntity extends BaseEntity {
  otp_code: string;
  action_type: OPT_ACTION_TYPE;
  target_id: string;
  source: OTP_SOURCE;
  is_used: boolean;
  expired_at: number;
  verified_at: number;
}
